SU(1)

NAME
runuser - run a shell with substitute user and group IDs, similar to su, but will not run PAM hooks

SYNOPSIS
runuser [OPTION]... [-] [USER [ARG]...]

DESCRIPTION

Change the effective user id and group id to that of USER. No PAM hooks are run, and there will be no password prompt. This command is useful when run as the root user. If run as a non-root user without privilege to set user ID, the command will fail.

-, -l, --login
    make the shell a login shell, uses runuser-l PAM file instead of default one

-g --group=group
    specify the primary group

-G --supp-group=group
    specify a supplemental group

-c, --command=COMMAND
    pass a single COMMAND to the shell with -c

-f, --fast
    pass -f to the shell (for csh or tcsh)

-m, --preserve-environment
    do not reset environment variables

-p  same as -m

-s, --shell=SHELL
    run SHELL if /etc/shells allows it

--help
    display this help and exit

--version
    output version information and exit

A mere - implies -l. If USER not given, assume root.

AUTHOR
Written by David MacKenzie.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO

More detailed Texinfo documentation could be found by command

info su invocation

as command su is very similar to command runuser.

The full documentation for su is maintained as a Texinfo manual. If the info and su programs are properly installed at your site, the command

    info coreutils runuser

should give you access to the complete manual.